首页 > 编程语言 > 详细

安装 scrapy 出现 error: Microsoft Visual C++ 14.0 is required

时间:2019-02-02 19:14:57      阅读:380      评论:0      收藏:0      [点我收藏+]

问题描述

使用 pip install scrapy 安装 scrapy 时出现以下错误:

error: Microsoft Visual C++ 14.0 is required

错误提示中给出了一个下载链接,进去之后发现页面已经没有了,以为只是缺失了 Visual C++ 14.0,去官网下载了2015和2017的安装包安装后,错误依旧。

后发现需要安装完整的C++编译工具。

解决方案

  1. 首先下载:Visual C++ 2015 Build Tools

  2. 下载安装完成后重新测试,发现以下报错

    LINK : fatal error LNK1158: cannot run ‘rc.exe‘
        error: command ‘C:\\Program Files (x86)\\Microsoft Visual Studio 14.0\\VC\\BIN\\x86_amd64\\link.exe‘ failed with exit status 1158
  3. 打开目录:C:\Program Files (x86)\Windows Kits\10\bin\10.0.16299.0\x64

    技术分享图片

  4. 将该目录下 rc.exercdll.dll 两个文件移动到 C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\bin

  5. 继续安装测试,完美解决

安装 scrapy 出现 error: Microsoft Visual C++ 14.0 is required

原文:https://www.cnblogs.com/nwgdk/p/10348975.html

(0)
(0)
   
举报
评论 一句话评论(0
© 2014 bubuko.com 版权所有
打开技术之扣,分享程序人生!